Subject: Let's look at it from an IETF oldie's perspective... Re: IPv4 Outage Planned for IETF 71 Plenary

From: Bob Braden <[email-masked]>
Date: Wed, 19 Dec 2007 10:11:15 -0800 (PST)

Here is my understanding:

1.  The shortage of IPv4 addresses will increasingly cripple the
	communication effectiveness of the Internet, either directly
	or indirectly through ubiqitous NATting.

2.  As a replacement for IPv4, IPv6 is the only game in town.  We did it.

3.  Unless we want the ITU to eat our dogfood, the IETF needs to get
	serious about discovering and solving the remaining technical
	problems implicit in IPv6 deployment.

4.  In recent years, a large fraction of IETF activity has moved from
	our original and core concern, the network and transport
	layers, to (more profitable?) issues at the application layer
	and layer 2.5.  It is time to take the network layer seriously
	again.

5.  The recent messages containing reasoned calls for advance planning
	and coordination of an IPv6 connectathon are all important and
	need to be heeded.

6.  There is a social engineering as well as a technical engineering
	problem here.

7.  This discussion has already been useful.

Bob Braden

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Lucy Lynch <[email-masked]>
Date: Wed, 19 Dec 2007 10:27:38 -0800 (PST)

> 7.  This discussion has already been useful.

What he said!

As an old multicast warrior and a long time NOC volunteer I'd point out 
that we've been eating our own dog food for years. The world didn't end 
and the network never melted completely ;-). All the fine folks involved 
in *hard* technologies like DNSSEC, DKIM, mobility, multicast, new routing 
solutions, etc. should be following this discussion with a mixture of 
dread and befuddlement.

Why are we crafting new technologies and advanced solutions to Internet
architectural problems if we're unwilling to use them ourselves? I, for 
one, am ready to leave all the polyhedral turnings required to add
one more frill to v4 behind and move on to the "next billion" net.
It will take v6 to get there.

http://www.georgehart.com/virtual-polyhedra/turnings.html

- Lucy

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 19 Dec 2007 11:01:28 -0800

On the contrary, from the perspective of the ISPs, slamming their customers behind a NAT is a perfectly acceptable solution.
 
The oldie perspective of 'take it or leave it' is not going to work here. I have gamed the dynamics of IPv4 exhaustion quite extensively and the mere fact that there are no more IPv4 addresses left to be allocated does not provide the forcing function people imagine.
 
IPv4 is a party with a limited number of tickets. The number of tickets is much larger than the number of tickets for the superbowl but the same market dynamics apply. Folk who have tickets have no need of a bigger stadium. In fact they are perfectly OK with the situation since their ticket now has a resale value.
 
The approach this is predicated on is akin to telling superbowl fans without a ticket to 
 
1) Build a stadium
2) Persuade the teams to play in the (empty) new stadium rather than the old one that is full.
 
In the real world superbowl fans buy a ticket from a scalper instead.
 
The situation is not hopeless, far from it. There are approaches to managing the transition that will work. Telling the word that IPv6 is the only game in town and expecting them to bow to this wisdom is not going to work.
 
We have to have an economic model for this transition.

________________________________

From: Bob Braden [mailto:[email-masked]]
Sent: Wed 19/12/2007 1:11 PM
To: [email-masked]
Subject: Let's look at it from an IETF oldie's perspective... Re: IPv4Outage Planned for IETF 71 Plenary

Bob Braden

---

From: Theodore Tso <[email-masked]>
Date: Thu, 20 Dec 2007 07:59:02 -0500

On Wed, Dec 19, 2007 at 11:01:28AM -0800, Hallam-Baker, Phillip wrote:
>  
> The oldie perspective of 'take it or leave it' is not going to work
> here. I have gamed the dynamics of IPv4 exhaustion quite extensively
> and the mere fact that there are no more IPv4 addresses left to be
> allocated does not provide the forcing function people imagine.

Hallam,

	I think the IETF oldie perspective is the amazement that
people are pushing back so hard about using the IETF conference
network as an early deployment/proving ground for IPv6.  I remember
when IP addresses were handed out on pieces of paper, and when DHCP
was first deployed, and not quite reliable.  Then I remember it not
getting reliable again as IETF host after IETF host had to learn the
hard way that Microsoft's DHCP server was cr*p (at least back then)
and blew up at the scale of IETF meetings (which were much smaller
back then).

	I suspect the real problem is the mix of IETF attendees have
changed, and there are fewer people who are willing to experiment with
bleeding edge technology at the network layer.  I suspect these are
the sort of people who are arguing that IPv4 is a production service
that can't be interrupted come hell or high water, and they aren't
willing to pay the pain of helping to make IPv6 work.

	There are also some IETF'ers who have argued that IPv6 is not
the only game in town, but that NAT boxes will also work; there are
other IETF'ers who have argued that IPv6 is a superior solution to NAT
boxes, and that NAT boxes will either not work, or are an abomination
(at least from an architectural point of view.)

	I'll argue that the real problem is that we haven't been
serious about IPv6.  If we had, people who have been pushing ICANN to
solve the DNS root problem a long time ago.  If we had, we would have
been trying deploy an IPv6-only conference network, to make sure that
technical requirements make an IPv6-only network be able to play well
with the wider network (an absolute necesity from a transition point
of view) either had permanent fixes, or at least had documented
workarounds that work at least as well as IPv4 NAT boxes.

	I'm not sure whether or not the lack of workarounds are
because some of the people using the IPv6 networks were too much of a
network purist to use whatever workarounds would be necessary to make
IPv6 work in the real world --- whether they be NAT-PT/NAT64 boxes, or
DNS root hijacking, or whatever else is necessary.  However, I would
gently suggest that if people want IPv6 to be successful, we need to
start using it, and we need to start creating the engineering
solutions that allow IPv6 to be useful in the real-world.

	The fact that ICANN was allowed to dither until early 2008
before getting root zone records is a sign that IPv6 was not ready for
the real-world for the last ten years.  The question is what other
real-world deployment problems are hiding that haven't been addressed
yet.

	There are some who seem to be arguing that the IETF is not the
place to work out these problems.  Well, last I checked, the word
*ENGINEERING* is in the name of our organization.  And other groups
and venues have had the last ten years to try to work out these
solutions, and clear they need more help and more effort --- and I
would hope the IETF collectively feels some responsibility to help out
this protocol that we launched NINE YEARS AGO.

	Let me give a challenge.  It's been nine years.  In the next
year, let's try to do whatever ENGINEERING work is necessary so that
the IETF conference network can offer IPv6-only services to all of its
laptop clients, and that this be sufficient for people to get real
work done.  If after a ten years --- a decade --- we can't somehow
make IPv6 to be a useful production network on something on the scale
of the IETF wireless network, I would argue that IPv6 really is
useless and hopeless and doomed, with no way to transition to real
world Internet production usage.  Or maybe it would be saying
something about the state of the IETF organization.  I don't know....

     	      	      	       	    	  - Ted

---

From: <[email-masked]>
Date: Thu, 20 Dec 2007 14:41:46 -0000

> However, I would gently suggest that if people want IPv6 to 
> be successful, we need to start using it, and we need to 
> start creating the engineering solutions that allow IPv6 to 
> be useful in the real-world.

Yes. And that includes figuring out what is needed to make an
IETF meeting function with only IPv6 transit connections to
the outside world including full support for IPv4 users at 
the meeting. "Full Support" in this context means making it
possible for IPv4 users to seemlessly access IPv6-only services.
If there is to be any kind of "IPv4 outage", it should be on
some of the IETF servers that currently function on both IPv4
and IPv6 to prove that it is possible to make a transition
to IPv6 that is relatively seamless to the end users of the
Internet.

> The 
> question is what other real-world deployment problems are 
> hiding that haven't been addressed yet.

A mandate to make an IETF meeting function as described above
would be a good way to get people to work on figuring out
these problems.

> 	There are some who seem to be arguing that the IETF is 
> not the place to work out these problems.  Well, last I 
> checked, the word
> *ENGINEERING* is in the name of our organization. 

I think there is a multileveled understanding of what engineering
means that has led to some of the outraged comments. By some
standards, many of the IETF participants, especially old-timers,
are FORMER engineers because they don't get their hands dirty 
any more. By other standards they are EXPERIENCED engineers who
don't need to get their hands dirty and can spend all their time
planning, designing and vetting other people's work.

The EXPERIENCED engineers are right that technology experiments
which amount to a service outage should not be dumped on an IETF
meeting. But the hands-on folks are also right that the IETF has
an important role to play as the IP4 exhaustion crisis ramps up. 
It is because the pool of experienced engineers is avaliable as
a resource, that it makes sense for a working group to plan,
implement, TEST, and deploy whatever is needed to make it possible
for an ENTIRE IETF meeting to function with no IPv4 Internet 
connectivity other than via automatic tunnels, proxies, and NATs.
The IPv4 packet transport may be turned off at the lower layer
but that doesn't mean that IPv4 users would get no service or even
degraded service.

Of course, such a demonstration could be done without involving the
IETF at all, but then it loses a lot of the PR impact. For instance
if the IETF meeting needs AAAA records in the root to avoid deploying
root hijacking, then ICANN will act. If the IETF requests major
service providers to participate in such a demonstration by turning
on some type of IPv6 services in trial mode, then I suspect we will
see Google and Microsoft and CNN and Verizon all join in the effort.

> 	Let me give a challenge.  It's been nine years.  In the 
> next year, let's try to do whatever ENGINEERING work is 
> necessary so that the IETF conference network can offer 
> IPv6-only services to all of its laptop clients, and that 
> this be sufficient for people to get real work done.  

This means that it has to include transition technologies
so that a pure IPv6 users can still get to all the IPv4 services
that they need, and so that an IPv4 user can do the same.
If you push this one step further and show that an IPv4 user
on the IETF network can make use of IPv6-only services, then
you will really make a splash in showing that IPv6 is ready
for primetime.

--Michael Dillon

And once this has been proved at an IETF meeting, the next step
is to do it at an event like Davos. 
<http://en.wikipedia.org/wiki/World_Economic_Forum>

---

From: Fred Baker <[email-masked]>
Date: Thu, 20 Dec 2007 09:20:54 -0800

On Dec 20, 2007, at 4:59 AM, Theodore Tso wrote:

> I think the IETF oldie perspective is ... amazement

Truer words were never spoken, at least from this oldie's  
perspective. I found Dave Crocker's comment that the IETF never does  
interoperability testing equally amazing. The IETF has never offered  
the room (that is something a host does), but to describe the semi- 
annual PPP-fests that occurred throughout the 1990's, the OSPF  
testing that resulted in RFC 1246, and all the interoperability  
testing that has been done since, as unrelated to IETF activity  
is ... interesting. Here, I thought we were all IETF participants  
testing IETF specifications and products based on them, providing  
test results as called for in RFC 2026 and working group document  
feedback, and in the end demonstrating the "running code" part of the  
IETF mantra.

> In the next year, let's try to do whatever ENGINEERING work is  
> necessary so that the IETF conference network can offer IPv6-only  
> services to all of its laptop clients, and that this be sufficient  
> for people to get real work done.

Actually, with the exception of the root zone record, I think this  
has been true of the laptops brought to meetings for some time.  
Anyone running a Mac has had IPv6 support and IPv6-capable  
applications for some time. Ditto Linux, and it was possible to make  
Windows XP use it. Microsoft Vista makes that on-by-default, making  
this more the case as people upgrade to it. IETF meeting networks  
have supported IPv6 for several years, and IIRC have provided ISP  
support as well.

Now, do you recall Randy Bush sitting in the IESG plenary and calling  
out passwords? Advising people to get some variation on a VPN  
running? For me, the big issue is that I do my work within a  
corporate context, and therefore need to access corporate accounts to  
do what I do. Cisco IT has a plan to deploy IPv6, but has not yet  
done so internally for a reason that will, I think, ring true for  
many - IPv6 doesn't solve a business problem that Cisco IT has (it  
has plenty of addresses for the present and has few if any IPv6-only  
business partners that would force the issue), and hence it hasn't  
seen fit to bring up IPv6 throughout Cisco.

For me, making me able to "do real work" will involve a whole lot  
more than making the room work. I think the experiment is a good one,  
and if it gets the root zone record updated it has IMHO already had a  
good effect. But I personally need for more to happen to be able to  
effectively use it.

---

From: Theodore Tso <[email-masked]>
Date: Thu, 20 Dec 2007 13:38:53 -0500

On Thu, Dec 20, 2007 at 09:20:54AM -0800, Fred Baker wrote:
> Now, do you recall Randy Bush sitting in the IESG plenary and calling out 
> passwords? Advising people to get some variation on a VPN running? For me, 
> the big issue is that I do my work within a corporate context, and 
> therefore need to access corporate accounts to do what I do. Cisco IT has a 
> plan to deploy IPv6, but has not yet done so internally for a reason that 
> will, I think, ring true for many - IPv6 doesn't solve a business problem 
> that Cisco IT has (it has plenty of addresses for the present and has few 
> if any IPv6-only business partners that would force the issue), and hence 
> it hasn't seen fit to bring up IPv6 throughout Cisco.

Agreed, getting VPN's to work is going to be non-trivial.  On the
other hand, many VPN's are designed to work even in the presence of
IPv4 NAT's, since they are so ubiquitous these days; road warriors who
are using a variety of hotel and airport network services run into
them all the time.  So the question is whether some clever engineering
might allow some or all of the VPN's to work correctly even without
any cooperation or assistance of the corporate VPN server?   

Or perhaps this might be an opportunity to encourage VPN providers to
upgrade their software to work in such an environment.

And if the first IETF meeting where we try this, there is a NAT box
which provides IPv4 services over an IPv6 encapsulation, that might
not be a bad thing.  The mere fact that the IETF meeting could be only
connected to the Internet via v6 and could get work done isn't a bad
start.  Of course, over time, the challenge to VPN makers could be
made harder by adding another NAT box at the other end of the ipv4/6
decapsulation, and in future IETF's, adding successive layers of NAT
boxes to the IPv4 connectivity path for those people who are sure
that's the long term solution to Internet Scaling.  :-)

I agree that the economic considerations make it hard for the right
thing to happen.  This is one of the classical externalities problem,
where it's hard get companies to pay attention the polar ice cap is
completely gone and all the polar bears are dead.  Obviously the IETF
can't control the global economic picture, but we can control the IETF
conference network.  And the IETF does have enough of a bully pulpit
that it might help shift the economic consequences.  (Even if it's
allowing one VPN provider to provide bragging rights that if, for
example and hypothetically, the Nortel VPN solution works while the
Cisco VPN solution doesn't.  By giving VPN providers a chance to
showcase whether their products can or can not work in an IPv6-only
client environment, we can help provide the business justification for
them to do the necessary development work.)

	 	       	   	      - Ted

---

From: Michael Thomas <[email-masked]>
Date: Thu, 20 Dec 2007 10:58:12 -0800

Lucy Lynch wrote:
>
> As an old multicast warrior and a long time NOC volunteer I'd point 
> out that we've been eating our own dog food for years. The world 
> didn't end and the network never melted completely ;-). All the fine 
> folks involved in *hard* technologies like DNSSEC, DKIM, mobility, 
> multicast, new routing solutions, etc. should be following this 
> discussion with a mixture of dread and befuddlement.

I'm not sure I'd say DKIM is a "hard technology" but... what would it take
to get all of the IETF lists signing with DKIM? How can I help?

       Mike

---

From: Russ Housley <[email-masked]>
Date: Thu, 20 Dec 2007 15:37:37 -0500

Mike:

We are transitioning the ietf.org mail lists to a new Secretariat 
next month.  I'd like to table this idea until that transition is 
complete, and then raise it again when the new servers are up, 
running, and stable.  Let's get what we have moved and working before 
improvements are made.

I like the idea.  Please raise it again in February.

Russ

At 01:58 PM 12/20/2007, Michael Thomas wrote:
>>didn't end and the network never melted completely ;-). All the 
>>fine folks involved in *hard* technologies like DNSSEC, DKIM, 
>>mobility, multicast, new routing solutions, etc. should be 
>>following this discussion with a mixture of dread and befuddlement.
>
>

---

From: Franck Martin <[email-masked]>
Date: Fri, 21 Dec 2007 09:30:47 +1200

And see if you can fix message readability, if I send a multi-part
signed e-mail (TEXT+HTML) with PGP

Like this one ;)

Russ Housley wrote:
> Mike:
>
> We are transitioning the ietf.org mail lists to a new Secretariat next
> month.  I'd like to table this idea until that transition is complete,
> and then raise it again when the new servers are up, running, and
> stable.  Let's get what we have moved and working before improvements
> are made.
>

-- 
Franck Martin
ICT Specialist
[email-masked]
SOPAC, Fiji
GPG Key fingerprint = 44A4 8AE4 392A 3B92 FDF9  D9C6 BE79 9E60 81D9 1320
"Toute connaissance est une reponse a une question" G.Bachelard

---

From: Dave Crocker <[email-masked]>
Date: Thu, 20 Dec 2007 16:45:50 -0500

> stable.  Let's get what we have moved and working before improvements 

So, let's see:  You don't want to disrupt one critical operation by attempting 
to conduct another and unfamiliar one...?

d/

ps. For a moment I'd hoped you meant the British "table" rather than the 
American.  Exactly opposite meanings.  Alas, the rest of the paragraph left no 
room for creative misunderstanding.
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Russ Housley <[email-masked]>
Date: Thu, 20 Dec 2007 16:43:20 -0500

> signed e-mail (TEXT+HTML) with PGP

I do not understand what this has to do with DKIM.

Obviously I was able to read your message.  Are you talking about in 
mail list archives?

Russ

---

From: Russ Housley <[email-masked]>
Date: Thu, 20 Dec 2007 16:51:00 -0500

I meant let's hold off until the transition is complete.  I did not 
mean to confuse.

Russ

At 04:45 PM 12/20/2007, Dave Crocker wrote:

>>running, and stable.  Let's get what we have moved and working 
>>before improvements are made.
>
>So, let's see:  You don't want to disrupt one critical operation by 
>attempting to conduct another and unfamiliar one...?
>
>d/
>
>ps. For a moment I'd hoped you meant the British "table" rather than 
>the American.  Exactly opposite meanings.  Alas, the rest of the 
>paragraph left no room for creative misunderstanding.
>--
>
>   Dave Crocker

---

From: Dave Crocker <[email-masked]>
Date: Thu, 20 Dec 2007 17:55:16 -0500

Russ Housley wrote:
> I meant let's hold off until the transition is complete.  I did not mean 
> to confuse.

Sorry I wasn't clear. I really did understand your note (and although my 
opnion doesn't matter about such things, I'll add that I entirely agree with 
yourjudicious operations management.)

Rather, I was weakly attempting to be ironic, by implying a distinction 
between the recommendation in your note in this thread, versus choosing to 
disrupt the plenary with a different kind of unfamiliar change...

d/

ps.  (I'm in a post-scripting mood today.) The ensuing discussion about v6 
testing has been enlightening and I hope that we really do have a dedicated 
timeslot at the next (and next and next and...) IETF for working on end-to-end 
v6 scenarios that work when mobile.

d/

-- 

   Dave Crocker

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Fri, 21 Dec 2007 10:07:27 +0100

> any cooperation or assistance of the corporate VPN server?

[...]

> not be a bad thing.

Note that it's almost certain that a VPN thingy that was made to work  
with IPv4 (and NAT) won't work through an IPv6-to-IPv4 NAT-PT: the  
latter assumes that applications will be using the IPv6 socket API  
even though at some point IPv4 packets are generated.

This is one of the issues with NAT-PT we can hopefully fix in the  
relatively short term so that even IPv4-only applications can work  
over an IPv6-only network. (See thursday v6ops meeting from two weeks  
ago.)

---

From: Dave Crocker <[email-masked]>
Date: Sat, 22 Dec 2007 11:11:46 -0800

Fred Baker wrote:
>    I 
> found Dave Crocker's comment that the IETF never does interoperability 
> testing equally amazing. The IETF has never offered the room (that is 
> something a host does), but to describe the semi-annual PPP-fests that 
> occurred throughout the 1990's, the OSPF testing that resulted in RFC 
> 1246, and all the interoperability testing that has been done since, as 
> unrelated to IETF activity is ... interesting. Here, I thought we were 
> all IETF participants testing IETF specifications and products based on 
> them, providing test results as called for in RFC 2026 and working group 
> document feedback, and in the end demonstrating the "running code" part 
> of the IETF mantra.

Fred,

There seems to be some confusion about the boundaries between "IETF 
activities" and "Internet activities."  I am assuming that no rational person 
would assert that they are 1:1.

When a company is selling a product that incorporates an IETF standard, is 
that an IETF activity?

When a conference is held that discusses IETF standards, is that an IETF activity?

When a company has employees attending the IETF and they get together for a 
company-specific dinner, is that an IETF activity?

The list of things that are "related" to the IETF but are not part of it is 
probably infinite.  Content, timing, location and participant names have 
pretty much nothing to do with whether it is an IETF activity.  The question 
is whether is it "run" by the IETF.

Successful IETF work begins somewhere before the IETF.

It is a process that discovers and assesses community need for some added 
capability and for willingness to work on it.  In rare cases, an IETF BOF 
serves that role, but the usual experience is that waiting until them pretty 
much dooms the result.

      Lesson 1: Without real community interest in using IETF output, it won't 
get used.  So making sure the interest is there is paramount.

After the IETF does its part, the work continues among other people and 
groups.  The IETF is the shepherd for only a part of the sequence.  If any of 
the other parts fail to do their job, the technology will not get used.  We 
seem to forget that.

      Lesson 2: The IETF does not create or sustain community interest. 
Witness how thoroughly we ignore post-Proposed efforts, except for the rare 
and half-hearted Draft exercise.  The IETF operates open loop, with respect to 
the actual success of its work.

It is not a criticism of the IETF to observe that its role is limited.  It is 
a criticism to observe that an serious constituency thinks otherwise.

d/

-- 

   Dave Crocker

---

From: "todd glassey" <[email-masked]>
Date: Mon, 24 Dec 2007 21:35:53 -0800

----- Original Message ----- 
From: "Dave Crocker" <[email-masked]>
To: "Fred Baker" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, December 22, 2007 11:11 AM
Subject: Interoperability testing and the scope of IETF activities

>
>
> Fred Baker wrote:
>>    I found Dave Crocker's comment that the IETF never does 
>> interoperability testing equally amazing. The IETF has never offered the 
>> room (that is something a host does), but to describe the semi-annual 
>> PPP-fests that occurred throughout the 1990's, the OSPF testing that 
>> resulted in RFC 1246, and all the interoperability testing that has been 
>> done since, as unrelated to IETF activity is ... interesting. Here, I 
>> thought we were all IETF participants testing IETF specifications and 
>> products based on them, providing test results as called for in RFC 2026 
>> and working group document feedback, and in the end demonstrating the 
>> "running code" part of the IETF mantra.
>
>
> Fred,
>
> activities" and "Internet activities."  I am assuming that no rational 
> person would assert that they are 1:1.
>

Sure if that product suite is one of the instances used to meet the IETF's 
two interoperable copies...

---

From: "todd glassey" <[email-masked]>
Date: Mon, 24 Dec 2007 21:35:53 -0800

----- Original Message ----- 
From: "Dave Crocker" <[email-masked]>
To: "Fred Baker" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, December 22, 2007 11:11 AM
Subject: Interoperability testing and the scope of IETF activities

> When a conference is held that discusses IETF standards, is that an IETF 

yes it is. And in fact if that instance generates NoteWell instances they 
need to be captured and submitted to the IP Archive that represents the 
materials used to create that IETF Standard.

>
> When a company has employees attending the IETF and they get together for 
> a company-specific dinner, is that an IETF activity?

Yes it is... At the very least ANYTIME money is spent on an IETF activity 
whether its dinner, drinks or meeting's where IETF IP is discussed or worked 
on, those are exactly IETF functions per the definition of NoteWell. Also 
NoteWell would pertain to two or members of the IETF having a discussion 
about IETF owned IP in the process of vetting it too so just a convo between 
two engineer's over a drink is exactly IP Development and covered under the 
IP ownership rules of the IETF so there is NO ISSUE as to whether this is 
IETF property right?

>
> The list of things that are "related" to the IETF but are not part of it 
> is probably infinite.  Content, timing, location and participant names 
> have pretty much nothing to do with whether it is an IETF activity.  The 
> question is whether is it "run" by the IETF.

No - actually the real issue is under NoteWell whether that IP is controlled 
or not.

> Successful IETF work begins somewhere before the IETF.

meaning that the scope of IETF work also extends past the IETF itself and 
its meeting's. For instance if three people are sitting at a pizza parlor in 
Cambridge and they are discussing a NoteWell controlled IP and are designing 
their next response to the last I-D that was posted, would that then 
constitute IP owned by the IETF under its broad NoteWell definition? - the 
answer is YES... meaning that NoteWell is actually a curse that no one 
thought through but now that we are stuck with it, you folks need to know 
how broadly your definition of what is and isnt the IETF's IP under NoteWell 
is.

Bluntly NO ONE can touch anything the IETF does without stepping on NoteWell 
to some extent but hey - I bet that was the intent.

> capability and for willingness to work on it.

I havent laughed that hard in some time - thanks David... you funny.

> In rare cases, an IETF BOF serves that role, but the usual experience is 
> that waiting until them pretty much dooms the result.
>
>      Lesson 1: Without real community interest in using IETF output, it 
> won't get used.  So making sure the interest is there is paramount.

Why? - What is the Point? - The IETF isnt supposed to be selling anything - 
its supposed to allow people to create fair and open standards models that 
are all tested to  some set of nebulous interoperability standards.

> groups.  The IETF is the shepherd for only a part of the sequence.  If any 
> of the other parts fail to do their job, the technology will not get used. 
> We seem to forget that.

Hmmm - Generally since the IETF le a trailing-edge standards process I would 
disagree here. The IETF does its thing generally after some protocol already 
exists.

>      Lesson 2: The IETF does not create or sustain community interest.

Amen - but look at the statement following. It admits that the IETF 
intentionally 'ignores' efforts when it wants to. There is a clear damage 
that this does to others in the Standards process, and the IETF and its 
management needs to be accountable for that damage.

> Witness how thoroughly we ignore post-Proposed efforts, except for the 
> rare and half-hearted Draft exercise.  The IETF operates open loop, with 
> respect to the actual success of its work.

Which is another way of saying 'Look at what we prevent from becoming a 
standard'... and that 'we only allow standards for things we are interested 
in' - I wonder how many of the Sponsor's Lawyers are going to feel 
comfortable when they get a copy of this emailing...

I am betting the number is much larger than most of us think.

>
> It is not a criticism of the IETF to observe tyes it is. And in fact if that instance generates NoteWell instances they 
need to be captured and submitted to the IP Archive that represents the 
materials used to create that IETF Standard.

>
> When a company has employees attending the IETF and they get together for 
> a company-specific dinner, is that an IETF activity?

Yes it is... At the very least ANYTIME money is spent on an IETF activity 
whether its dinner, drinks or meeting's where IETF IP is discussed or worked 
on, those are exactly IETF functions per the definition of NoteWell. Also 
NoteWell would pertain to two or members of the IETF having a discussion 
about IETF owned IP in the process of vetting it too so just a convo between 
two engineer's over a drink is exactly IP Development and covered under the 
IP ownership rules of the IETF so there is NO ISSUE as to whether this is 
IETF property right?

>
> The list of things that are "related" to the IETF but are not part of it 
> is probably infinite.  Content, timing, location and participant names 
> have pretty much nothing to do with whether it is an IETF activity.  The 
> question is whether is it "run" by the IETF.

No - actually the real issue is under NoteWell whether that IP is controlled 
or not.

> Successful IETF work begins somewhere before the IETF.

meaning that the scope of IETF work also extends past the IETF itself and 
its meeting's. For instance if three people are sitting at a pizza parlor in 
Cambridge and they are discussing a NoteWell controlled IP and are designing 
their next response to the last I-D that was posted, would that then 
constitute IP owned by the IETF under its broad NoteWell definition? - the 
answer is YES... meaning that NoteWell is actually a curse that no one 
thought through but now that we are stuck with it, you folks need to know 
how broadly your definition of what is and isnt the IETF's IP under NoteWell 
is.

Bluntly NO ONE can touch anything the IETF does without stepping on NoteWell 
to some extent but hey - I bet that was the intent.

> capability and for willingness to work on it.

I havent laughed that hard in some time - thanks David... you funny.

> In rare cases, an IETF BOF serves that role, but the usual experience is 
> that waiting until them pretty much dooms the result.
>
>      Lesson 1: Without real community interest in using IETF output, it 
> won't get used.  So making sure the interest is there is paramount.

Why? - What is the Point? - The IETF isnt supposed to be selling anything - 
its supposed to allow people to create fair and open standards models that 
are all tested to  some set of nebulous interoperability standards.

> groups.  The IETF is the shepherd for only a part of the sequence.  If any 
> of the other parts fail to do their job, the technology will not get used. 
> We seem to forget that.

Hmmm - Generally since the IETF le a trailing-edge standards process I would 
disagree here. The IETF does its thing generally after some protocol already 
exists.

>      Lesson 2: The IETF does not create or sustain community interest.

Amen - but look at the statement following. It admits that the IETF 
intentionally 'ignores' efforts when it wants to. There is a clear damage 
that this does to others in the Standards process, and the IETF and its 
management needs to be accountable for that damage.

> Witness how thoroughly we ignore post-Proposed efforts, except for the 
> rare and half-hearted Draft exercise.  The IETF operates open loop, with 
> respect to the actual success of its work.

Which is another way of saying 'Look at what we prevent from becoming a 
standard'... and that 'we only allow standards for things we are interested 
in' - I wonder how many of the Sponsor's Lawyers are going to feel 
comfortable when they get a copy of this emailing...

I am betting the number is much larger than most of us think.

>
> It is not a criticism of the IETF to observe that its role is limited.  It 
> is a criticism to observe that an serious constituency thinks otherwise.

And a criticism of the IETF for not building controls which would assure its 
fair and open practices were a reality instead of what I refer to as 
"boilerplate fantasy's" IMHO.

Todd Glassey